# Interface methods for submodule: ClampImageFilter
from typing import Union, Any
# additional imports
from .support.template_class import itkTemplate as _itkTemplate
from ._proxies import InPlaceImageFilterProxy as _InPlaceImageFilterProxy


# Interface methods for class: ClampImageFilter
class ClampImageFilterProxy(_InPlaceImageFilterProxy):
	@staticmethod
	def New():
		""""""
		...

	def Clone(self):
		""""""
		...

	def GetNameOfClass(self):
		""""""
		...

	def GetFunctor(self):
		""""""
		...

	def SetFunctor(self, functor) -> None:
		""""""
		...

	@overload
	def GetLowerBound(self) -> float:
		""""""
		...

	@overload
	def GetLowerBound(self) -> int:
		""""""
		...

	@overload
	def GetUpperBound(self) -> float:
		""""""
		...

	@overload
	def GetUpperBound(self) -> int:
		""""""
		...

	@overload
	def SetBounds(self, lowerBound: float, upperBound: float) -> None:
		""""""
		...

	@overload
	def SetBounds(self, lowerBound: int, upperBound: int) -> None:
		""""""
		...

